<?php
/**
* Tag Groups Premium
*
* @package    Tag Groups Premium
* @author     Christoph Amthor
* @copyright  2018 Christoph Amthor (@ Chatty Mango, chattymango.com)
* @license    see official vendor website
* @since      1.13.2
*
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
* AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
* LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
* OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
* THE SOFTWARE.
*
*/

if ( ! class_exists( 'TagGroups_Premium_Cron' ) ) {

  /**
  * The main purpose of this class is to keep all cron-related information in one place.
  *
  */
  class TagGroups_Premium_Cron extends TagGroups_Cron {


    /**
    * Registers the CRON identifiers and connects them to a method.
    *
    *
    * @param void
    * @return void
    */
    public static function register_identifiers()
    {

      global $tag_group_premium_terms;

      /**
      * Task to rebuild the post counts cache in the background
      */
      add_action( 'tag_groups_rebuild_post_counts', array( $tag_group_premium_terms, 'fill_post_counts_transients' ) );


      /**
      * Task to migrate posts and tags from the base to the premium plugin in the background
      */
      // moved to TGB
      add_action( 'tag_groups_run_post_migration', array( 'TagGroups_Premium', 'run_post_migration' ) );

      /**
      * Task to migrate post and tag metas to the new format
      */
      add_action( 'tag_groups_run_migration_new_format', array( 'TagGroups_Premium', 'run_migrate_to_new_meta_format' ) );

      /**
      * Task to purge expired transients
      */
      add_action( 'tag_groups_purge_expired_transients', array( 'TagGroups_Premium', 'purge_expired_transients' ) );

    }


  }

}
