<div class="tg_settings_tabs_content">

  <form method="POST" action="<?php echo esc_url( $_SERVER['REQUEST_URI'] ) ?>">
    <?php echo wp_nonce_field( 'tag-groups-meta-box', 'tag-groups-meta-box-nonce', true, false ) ?>
    <p><?php _e( 'The meta box appears on the page where you create or edit a post or any custom post type. It helps you select tags sorted by groups.', 'tag-groups-premium' ) ?></p>
    <h3><?php _e( 'Taxonomies', 'tag-groups-premium' ) ?></h3>
    <p><?php _e( 'Choose the taxonomies for which you want to use a meta box.', 'tag-groups-premium' ) ?><span class="dashicons dashicons-editor-help chatty-mango-help-icon" data-topic="metabox-taxonomies"></span></p>
    <div class="chatty-mango-help-container chatty-mango-help-container-metabox-taxonomies" style="display:none;"><?php _e( 'Only in "Taxonomies" enabled, non-hierarchical taxonomies are visible and only one taxonomy for each post type is possible.', 'tag-groups-premium' ) ?></div>
    <ul>
      <?php foreach ( $taxonomies as $taxonomy ) :
        $post_types = TagGroups_Taxonomy::post_types_from_taxonomies( $taxonomy ); ?>
        <li>
          <input type="checkbox" name="taxonomies[]" autocomplete="off" id="<?php echo $taxonomy ?>" value="<?php echo $taxonomy ?>"<?php if ( in_array( $taxonomy, $tag_group_meta_box_taxonomy ) ) : ?> checked<?php endif; ?>/>&nbsp;
          <label for="<?php echo $taxonomy ?>" class="tg_unhide_trigger"><?php echo TagGroups_Taxonomy::get_name_from_slug( $taxonomy ) ?> (<?php echo $taxonomy ?>)
            <span style="display: none; color: #999;">(<?php _e( 'post type', 'tag-groups-premium' ) ?>: <?php echo implode( ', ', $post_types ) ?>)</span>
          </label>
        </li>
      <?php endforeach; ?>
    </ul>
    <script>
    jQuery(document).ready(function () {
      jQuery(".tg_unhide_trigger").mouseover(function () {
        jQuery(this).find("span").show();
      });
      jQuery(".tg_unhide_trigger").mouseout(function () {
        jQuery(this).find("span").hide();
      });
    });
    </script>

    <p>&nbsp;</p>
    <h3><?php _e( 'Appearance', 'tag-groups-premium' ) ?></h3>
    <p>
      <input type="checkbox" name="tag_group_open_all_with_terms" autocomplete="off" id="tag_group_open_all_with_terms" value="1"<?php if ( $tag_group_open_all_with_terms ) : ?> checked="checked"<?php endif; ?>>
      <label for="tag_group_open_all_with_terms" id="tag_group_open_all_with_terms"><?php _e( 'By default open all groups that contain post tags.', 'tag-groups-premium' ) ?></label>
    </p>

    <p>
      <input type="checkbox" name="tag_group_hide_tagsdiv" autocomplete="off" id="tag_group_hide_tagsdiv" value="1"
      <?php if ( $tag_group_hide_tagsdiv ) : ?> checked="checked"<?php endif; ?>>
      <label for="tag_group_hide_tagsdiv"><?php _e( 'Hide the default tag meta box.', 'tag-groups-premium' ) ?></label>
    </p>

    <p><?php _e( 'Select the groups that should be included (min. 1):', 'tag-groups-premium' ) ?></p>
    <p>
      <select name="tag_group_meta_box_include[]" id="tag_group_meta_box_include" multiple autocomplete="off">
        <?php foreach ( $tag_groups as $group ) : ?>
          <option value="<?php echo $group['term_group'] ?>"<?php if ( in_array( $group['term_group'], $tag_group_meta_box_include ) ) : ?> selected<?php endif; ?>><?php echo $group['label'] ?></option>
        <?php endforeach; ?>
      </select>
    </p>

    <p>
      <input type="checkbox" name="tag_group_meta_box_open_all" autocomplete="off" id="tag_group_meta_box_open_all" value="1"
      <?php if ( $tag_group_meta_box_open_all ) : ?> checked="checked"<?php endif; ?>>
      <label for="tag_group_meta_box_open_all"><?php _e( 'Hide the menu and open all groups.', 'tag-groups-premium' ) ?></label>
    </p>

    <p>&nbsp;</p>
    <h3><?php _e( 'Restrictions', 'tag-groups-premium' ) ?></h3>
    <p><?php _e( 'The following restrictions can be overridden for certain user roles in the "Permissions" tab.', 'tag-groups-premium' ) ?></p>
    <p>
      <input type="checkbox" name="tag_group_meta_box_add_term" autocomplete="off" id="tag_group_meta_box_add_term" value="1"<?php if ( $tag_group_meta_box_add_term ) : ?> checked="checked"<?php endif; ?>>
      <label for="tag_group_meta_box_add_term"><?php _e( 'Allow adding new terms in the meta box.', 'tag-groups-premium' ) ?></label>
    </p>
    <p>
      <input type="checkbox" name="tag_group_meta_box_change_group" autocomplete="off" id="tag_group_meta_box_change_group" value="1"
      <?php if ( $tag_group_meta_box_change_group ) : ?> checked="checked"<?php endif; ?>>
      <label for="tag_group_meta_box_change_group"><?php _e( 'Allow changing group of terms in the meta box.', 'tag-groups-premium' ) ?></label>
    </p>
    <p>&nbsp;</p>
    <p>
      <input type="hidden" name="tg_action" value="meta-box">
      <input class="button-primary" type="submit" name="Save" value="<?php _e( 'Save Settings', 'tag-groups-premium' ) ?>" id="submitbutton" />
    </p>
  </form>
  <p>&nbsp;</p>
</div>

<script>
jQuery("#tag_group_meta_box_include").SumoSelect({
  search: true,
  forceCustomRendering: true,
  selectAll: true,
  captionFormatAllSelected: "<?php _e( 'all {0} selected', 'tag-groups-premium' ) ?>",
  captionFormat: "<?php _e( '{0} selected', 'tag-groups-premium' ) ?>",
});
</script>
