<div class="tg_settings_tabs_content">
  <form method="POST" action="<?php echo esc_url( $_SERVER['REQUEST_URI'] ) ?>">
    <?php echo wp_nonce_field( 'tag-groups-dpf-template', 'tag-groups-dpf-template-nonce', true, false ); ?>

    <p><?php _e( 'You can use the Dynamic Post Filter with a Gutenberg block or with the following shortcode:', 'tag-groups-premium' ) ?></p>
    <p><code>[tag_groups_dpf]</code></p>

    <?php _e( 'Some placeholders are available.', 'tag-groups-premium' ) ?><span class="dashicons dashicons-editor-help chatty-mango-help-icon" data-topic="placeholders"></span>
    <div class="chatty-mango-help-container chatty-mango-help-container-placeholders" style="display:none;">
      <ul>
        <li>{post_id}</li>
        <li>{post_title}</li>
        <li>{permalink}</li>
        <li>{post_guid}</li>
        <li>{post_excerpt}</li>
        <li>{post_excerpt_html}</li>
        <li>{post_date}</li>
        <li>{post_author}</li>
        <li>{image_src}, {image_src|100x100}, {image_src|500xauto}, {image_src|100%xauto}, ... (<?php _e( 'Write Pixels as numbers without unit.', 'tag-groups-premium' ) ?>)</li>
        <li>{image_alt}</li>
        <li>{post_category}</li>
      </ul>
    </div>

    <div class="chatty-mango-settings-columns">
      <div>
        <h3><?php _e( 'Modify the post template', 'tag-groups-premium' ) ?></h3>
        <textarea id="dpf_template_input" rows="5" name="tag_group_dpf_template" style="width: 100%;"><?php echo htmlentities( $tag_group_dpf_template ) ?></textarea>
        <p><input type="button" class="button button-secondary" id="tg_reset_template" value="<?php
        _e( 'Reset to Default', 'tag-groups-premium' ) ?>" /> <input class="button button-primary" type="submit" name="Save" value="<?php _e( 'Save Settings', 'tag-groups-premium' ) ?>" id="submitbutton" /></p>
      </div>

      <div>
        <h2><?php _e( 'Sample post preview', 'tag-groups-premium' ) ?><span class="dashicons dashicons-editor-help chatty-mango-help-icon" data-topic="template"></span></h2>
        <div class="chatty-mango-help-container chatty-mango-help-container-template" style="display:none;"><?php _e( 'The preview gives only an approximate idea of the final appearance. The details will depend on the actual CSS.', 'tag-groups-premium' ) ?></div>
        <div id="tg_template_preview">
          <div style="padding: 50px; text-align: center;"><img src="<?php echo admin_url('images/spinner.gif') ?>" /></div>
        </div>
      </div>
    </div>
    <input type="hidden" name="tg_action" value="dpf-template">
  </form>
</div>

<script>
var tg_dpf_timestamp;
function tg_load_post() {
  var template = jQuery("#dpf_template_input").val();
  tg_dpf_timestamp = Date.now();
  jQuery.ajax({
    url: "<?php echo $ajax_link ?>",
    method: "post",
    data: {
      action: "tg_ajax_get_posts",
      sample: 1,
      template: template,
      caching_time: 0,
      taxonomy: "post",
      timestamp: tg_dpf_timestamp,
    },
    success: function( data ) {
      var posts = JSON.parse( jQuery( data ).find("posts").text() );
      var timestamp = JSON.parse( jQuery(data).find("timestamp").text() );
      if (tg_dpf_timestamp>timestamp) {
        // We are expecting something newer
        console.log( "[Tag Groups Premium] Discarding belated response." );
        return;
      }
      jQuery("#tg_template_preview").html("<article>"+posts[0].content+"</article>");
    },
    error: function(jqXHR,textStatus) {
      console.log("[Tag Groups Premium] Error: " + textStatus);
    }
  });
}

jQuery(document).ready(function(){
  jQuery("#dpf_template_input").keyup(tg_load_post);
  jQuery("#tg_reset_template").click(function(){
    jQuery("#dpf_template_input").val(' . $ajax_template . ');
    tg_load_post();
  });
  tg_load_post();
});
</script>
