<div class="tg_settings_tabs_content">

  <form method="POST" action="<?php echo esc_url( $_SERVER['REQUEST_URI'] ) ?>">
    <?php echo wp_nonce_field( 'tag-groups-post-tags', 'tag-groups-post-tags-nonce', true, false ); ?>
    <p><?php _e( 'You can automatically show post tags divided into groups below the post content.', 'tag-groups-premium' ) ?></p>

    <p><?php _e( 'On which page types do you want to display tag groups and tags under posts? (If your theme allows.)', 'tag-groups-premium' ) ?></p>
    <p>
      <input type="checkbox" name="tag_group_display_groups_under_posts_single" id="tag_group_display_groups_under_posts_single" autocomplete="off" value="1"
      <?php if ( $tag_group_display_groups_under_posts_single ) : ?> checked="checked"<?php endif; ?>
      autocomplete="off"/><label for="tag_group_display_groups_under_posts_single"><?php _e( 'Single Post', 'tag-groups-premium' ) ?></label>
    </p>

    <p>
      <input type="checkbox" name="tag_group_display_groups_under_posts_home" id="tag_group_display_groups_under_posts_home" value="1"<?php if ( $tag_group_display_groups_under_posts_home ) : ?> checked="checked"<?php endif; ?> autocomplete="off"/>
      <label for="tag_group_display_groups_under_posts_home"><?php _e( 'Home/Blog', 'tag-groups-premium' ) ?></label>
    </p>

    <p>
      <input type="checkbox" name="tag_group_display_groups_under_posts_archive" id="tag_group_display_groups_under_posts_archive" value="1"<?php if ( $tag_group_display_groups_under_posts_archive ) : ?> checked="checked"<?php endif; ?> autocomplete="off"/>
      <label for="tag_group_display_groups_under_posts_archive"><?php _e( 'Archive', 'tag-groups-premium' ) ?></label>
    </p>

    <p>
      <input type="checkbox" name="tag_group_display_groups_under_posts_feed" id="tag_group_display_groups_under_posts_feed" value="1"<?php if ( $tag_group_display_groups_under_posts_feed ) : ?> checked="checked"<?php endif; ?> autocomplete="off"/>
      <label for="tag_group_display_groups_under_posts_feed"><?php _e( 'Feed', 'tag-groups-premium' ) ?></label>
    </p>

    <p>&nbsp;</p>

    <p><?php _e( 'Enter a title that should appear above the tags:', 'tag-groups-premium' ) ?></p>
    <p>
      <input name="tag_group_display_groups_under_posts_title" value="<?php echo $tag_group_display_groups_under_posts_title ?>" autocomplete="off"/>
    </p>
    <p>&nbsp;</p>
    <p><?php _e( 'Enter a separator that appears between the tags', 'tag-groups-premium' ) ?><span class="dashicons dashicons-editor-help chatty-mango-help-icon" data-topic="post-tags-separator"></span></p>

    <div class="chatty-mango-help-container chatty-mango-help-container-post-tags-separator" style="display:none;"><?php _e( 'Use &amp;nbsp; as non-breaking space.', 'tag-groups-premium' ) ?></div>
    <p>
      <input name="tag_group_display_groups_under_posts_separator" value="<?php echo htmlentities( $tag_group_display_groups_under_posts_separator ) ?>" autocomplete="off"/>
    </p>
    <p>&nbsp;</p>

    <p><?php _e( 'Select the groups that should be included:', 'tag-groups-premium' ) ?></p>
    <p>
      <select name="tag_group_display_groups_under_posts[]" id="tag_group_display_groups_under_posts" multiple autocomplete="off">
        <?php foreach ( $groups as $group ) : ?>
          <option value="<?php echo $group['term_group'] ?>"<?php if ( in_array( $group['term_group'], $tag_group_display_groups_under_posts ) ) : ?> selected<?php endif; ?>><?php echo $group['label'] ?></option>
        <?php endforeach; ?>
      </select>
    </p>
    <p>&nbsp;</p>

    <p><?php _e( 'Other plugins might also add content to the bottom of the post. Enter a number for the position of the tags compared to other plugins. The smaller the number, the higher the position.', 'tag-groups-premium' ) ?></p>
    <p>
      <input name="tag_group_display_groups_under_posts_priority" value="<?php echo $tag_group_display_groups_under_posts_priority ?>" autocomplete="off"/>
    </p>

    <p>&nbsp;</p>
    <p>
      <input type="checkbox" name="tag_group_remove_the_post_terms" id="tag_group_remove_the_post_terms" value="1"<?php if ( $tag_group_remove_the_post_terms ) : ?> checked="checked"<?php endif; ?> autocomplete="off"/>
      <label for="tag_group_remove_the_post_terms"><?php _e( 'Try to remove the default tags under posts.', 'tag-groups-premium' ) ?></label>
    </p>

    <p>&nbsp;</p>
    <p>
      <input type="hidden" name="tg_action" value="post-tags">
      <input class="button-primary" type="submit" name="Save" value="<?php _e( 'Save Settings', 'tag-groups-premium' ) ?>" id="submitbutton" />
    </p>
  </form>
</div>

<script>
jQuery("#tag_group_display_groups_under_posts").SumoSelect({
  search: true,
  forceCustomRendering: true,
  selectAll: true,
  captionFormatAllSelected: "<?php _e( 'all {0} selected', 'tag-groups-premium' ) ?>",
  captionFormat: "<?php _e( '{0} selected', 'tag-groups-premium' ) ?>",
});
</script>
