<h4><?php _e( 'Shuffle Box', 'tag-groups-premium' ) ?></h4>
<div>
  <h4>[tag_groups_shuffle_box]</h4>
  <p><?php _e('Tag cloud that is filterable by group and by name.', 'tag-groups-premium' ) ?></p>

  <h4><?php _e( 'Example', 'tag-groups-premium' ) ?></h4>
  <p>[tag_groups_shuffle_box include="1,2,10"]</p>

  <h4><?php _e( 'Parameters', 'tag-groups-premium' ) ?></h4>
  <p><?php printf( __( 'Please find the parameters in the <a %s>documentation</a>.', 'tag-groups-premium' ), 'href="https://documentation.chattymango.com/documentation/tag-groups-premium/shuffle-box/shuffle-box-parameters/?pk_campaign=tg&pk_kwd=documentation" target="_blank"' ) ?></p>
</div>

<h4><?php _e( 'Table', 'tag-groups-premium' ) ?></h4>
<div>
  <h4>[tag_groups_table]</h4>
  <p><?php _e('Display the tags in a table, sorted in columns under the groups.', 'tag-groups-premium' ) ?></p>

  <h4><?php _e( 'Example', 'tag-groups-premium' ) ?></h4>
  <p>[tag_groups_table smallest=9 largest=30 include="1,2,10"]</p>

  <h4><?php _e( 'Parameters', 'tag-groups-premium' ) ?></h4>
  <p><?php printf( __( 'Please find the parameters in the <a %s>documentation</a>.', 'tag-groups-premium' ), 'href="https://documentation.chattymango.com/documentation/tag-groups-premium/table-tag-cloud/table-tag-cloud-parameters/?pk_campaign=tg&pk_kwd=documentation" target="_blank"' ) ?></p>
</div>

<h4><?php _e( 'Combined Tag Cloud', 'tag-groups-premium' ) ?></h4>
<div>
  <h4>[tag_groups_combined_cloud]</h4>
  <p><?php _e('Simple cloud that displays the tags of several groups combined together, without any group names.', 'tag-groups-premium' ) ?></p>

  <h4><?php _e( 'Example', 'tag-groups-premium' ) ?></h4>
  <p>[tag_groups_combined_cloud include="1,2,10"]</p>

  <h4><?php _e( 'Parameters', 'tag-groups-premium' ) ?></h4>
  <p><?php printf( __( 'Please find the parameters in the <a %s>documentation</a>.', 'tag-groups-premium' ), 'href="https://documentation.chattymango.com/documentation/tag-groups-premium/combined-tag-cloud/combined-tag-cloud-parameters/?pk_campaign=tg&pk_kwd=documentation" target="_blank"' ) ?></p>
</div>

<h4><?php _e( 'Tag Groups Menu', 'tag-groups-premium' ) ?></h4>
<div>
  <h4>[tag_groups_menu]</h4>
  <p><?php _e('Menu with tag groups that redirects to a filtered list of posts.', 'tag-groups-premium' ) ?></p>

  <h4><?php _e( 'Example', 'tag-groups-premium' ) ?></h4>
  <p>[tag_groups_menu type=autoselect]</p>

  <h4><?php _e( 'Parameters', 'tag-groups-premium' ) ?></h4>
  <p><?php printf( __( 'Please find the parameters in the <a %s>documentation</a>.', 'tag-groups-premium' ), 'href="https://documentation.chattymango.com/documentation/tag-groups-premium/tag-groups-menu/tag-groups-menu-parameters/?pk_campaign=tg&pk_kwd=documentation" target="_blank"' ) ?></p>
</div>

<?php if ( $tag_groups_premium_fs_sdk->is_plan_or_trial('premium') ) : ?>
  <h4><?php _e( 'Dynamic Post Filter', 'tag-groups-premium' ) ?></h4>
  <div>
    <h4>[tag_groups_dpf]</h4>
    <p><?php _e( 'optional', 'tag-groups-premium' ) ?>:</p>
    <h4>([tag_groups_dpf_body])</h4>
    <p><?php _e('A tool for your pages where visitors can select groups and tags and immediately see posts that match their selection.', 'tag-groups-premium' ) ?></p>

    <h4><?php _e( 'Example', 'tag-groups-premium' ) ?></h4>
    <p>[tag_groups_dpf include=1,2,3,5 open=1,2,3,5 caching_time=60 sumoselect=1]</p>

    <h4><?php _e( 'Parameters', 'tag-groups-premium' ) ?></h4>
    <p><?php printf( __( 'Please find the parameters in the <a %s>documentation</a>.', 'tag-groups-premium' ), 'href="https://documentation.chattymango.com/documentation/tag-groups-premium/dynamic-post-filter/dynamic-post-filter-parameters/?pk_campaign=tg&pk_kwd=documentation" target="_blank"' ) ?></p>
  </div>

  <h4><?php _e( 'Dynamic Post Filter With Toggles', 'tag-groups-premium' ) ?></h4>
  <div>
    <h4>[tag_groups_dpf_toggle_menu]</h4>
    <h4>[tag_groups_dpf_toggle_body]</h4>
    <p><?php _e( 'optional', 'tag-groups-premium' ) ?>:</p>
    <h4>[tag_groups_dpf_toggle_messages]</h4>
    <p><?php _e('A tool for your pages where visitors can select tags and immediately see posts that match their selection.', 'tag-groups-premium' ) ?></p>

    <h4><?php _e( 'Example', 'tag-groups-premium' ) ?></h4>
    <p>[tag_groups_dpf_toggle include=1,2,3,5 caching_time=60 persistent_filter=10]</p>
    <p>[tag_groups_dpf_toggle_body]</p>
    <p>[tag_groups_dpf_toggle_messages]</p>

    <h4><?php _e( 'Parameters', 'tag-groups-premium' ) ?></h4>
    <p><?php printf( __( 'Please find the parameters in the <a %s>documentation</a>.', 'tag-groups-premium' ), 'href="https://documentation.chattymango.com/documentation/tag-groups-premium/dynamic-post-filter-with-toggles/dynamic-post-filter-with-toggles-parameters/?pk_campaign=tg&pk_kwd=documentation" target="_blank"' ) ?></p>
  </div>

  <h4><?php _e( 'Post List', 'tag-groups-premium' ) ?></h4>
  <div>
    <h4>[tag_groups_post_list]</h4>
    <p><?php _e('A static list of posts that are determined by the tag groups that their tags belong to.', 'tag-groups-premium' ) ?></p>

    <h4><?php _e( 'Example', 'tag-groups-premium' ) ?></h4>
    <p>[tag_groups_post_list include=1,2,3,5 display_amount=1]</p>

    <h4><?php _e( 'Parameters', 'tag-groups-premium' ) ?></h4>
    <p><?php printf( __( 'Please find the parameters in the <a %s>documentation</a>.', 'tag-groups-premium' ), 'href="https://documentation.chattymango.com/documentation/tag-groups-premium/post-list/post-list-parameters/?pk_campaign=tg&pk_kwd=documentation" target="_blank"' ) ?></p>
  </div>
<?php endif; ?>
