<div class="tg_settings_tabs_content">

  <p><?php _e( "Manually purge the cache if tag clouds or filters don't show the latest information.", 'tag-groups-premium' ) ?></p>
  <form method="POST" action="<?php echo esc_url( $_SERVER['REQUEST_URI'] ) ?>">
    <?php echo wp_nonce_field( 'tag-groups-purge-object-cache', 'tag-groups-purge-object-cache-nonce', true, false ) ?>
    <input type="hidden" name="tg_action" value="purge-object-cache">
    <input class="button-primary" type="submit" name="purge" value="<?php _e( 'Purge Cache', 'tag-groups-premium' ) ?>" id="submitbutton" />
  </form>

  <p>&nbsp;</p>
  <form method="POST" action="<?php echo esc_url( add_query_arg( 'process-tasks', $tasks_migration ) ) ?>">
    <p><?php _e( 'Migrate tags and posts to the multi-group format of Tag Groups Premium.', 'tag-groups-premium' ) ?><span class="dashicons dashicons-editor-help chatty-mango-help-icon" data-topic="migrate"></span></p>
    <div class="chatty-mango-help-container chatty-mango-help-container-migrate" style="display: none;"><?php _e( 'The plugin automatically migrates posts and tags to the new format and tries to keep track of changes. There may, however, be cases where other components made unnoticed changes. You might also need to manually migrate posts and tags after you enabled a taxonomy that already contained untracked posts and tags.', 'tag-groups-premium' ) ?></div>
    <input class="button-primary" type="submit" name="update" value="<?php _e( 'Migrate', 'tag-groups-premium' ) ?>" id="submitbutton" />
  </form>

  <p>&nbsp;</p>
  <form method="POST" action="<?php echo esc_url( add_query_arg( 'process-tasks', $tasks_maintenance ) ) ?>">
    <p><?php _e( 'Running the maintenance can solve issues that you encounter during filtering by tag groups.', 'tag-groups-premium' ) ?></p>
    <input class="button-primary" type="submit" name="maintenance" value="<?php _e( 'Maintenance', 'tag-groups-premium' ) ?>" id="submitbutton" />
  </form>

  <p>&nbsp;</p>
  <form method="POST" action="<?php echo esc_url( add_query_arg( 'process-tasks', $tasks_rebuild ) ) ?>">
    <p><?php _e( 'Rebuild the post counts.', 'tag-groups-premium' ) ?><span class="dashicons dashicons-editor-help chatty-mango-help-icon" data-topic="post_count"></span></p>
    <div class="chatty-mango-help-container chatty-mango-help-container-post_count" style="display: none;"><?php _e( 'Rebuilds the cache that contains the numbers of posts of each tag in each group.', 'tag-groups-premium' ) ?></div>
    <input class="button-primary" type="submit" name="update" value="<?php _e( 'Rebuild', 'tag-groups-premium' ) ?>" id="submitbutton" />
  </form>

  <?php if ( $tag_group_show_filter_tags ): ?>
    <p>&nbsp;</p>
    <form method="POST" action="<?php echo esc_url( $_SERVER['REQUEST_URI'] ) ?>">
      <p><?php _e( "Reset the filter on the tags page to show all tags.", 'tag-groups-premium' ) ?><span class="dashicons dashicons-editor-help chatty-mango-help-icon" data-topic="reset_filter"></span></p>
      <div class="chatty-mango-help-container chatty-mango-help-container-reset_filter" style="display: none;"><?php _e( 'Use it if a JavaScript error disables the filter menu. Note that it is still recommended to find out the cause of the error.', 'tag-groups' ) ?></div>
      <?php echo wp_nonce_field( 'tag-groups-reset-tag-filter', 'tag-groups-reset-tag-filter-nonce', true, false ) ?>
      <input type="hidden" name="tg_action" value="reset-tag-filter">
      <input class="button-primary" type="submit" name="reset" value="<?php _e( 'Reset Tag Filter', 'tag-groups' ) ?>" id="submitbutton" />
    </form>
  <?php endif; ?>
</div>
