<div style="margin: 50px 0 0;">

  <p><?php _e( 'If you want to use tag groups on the post edit screen, you can replace the default tag box with a meta box that lets you select tags within groups.', 'tag-groups-premium' ) ?></p>

  <div style="float: left; margin: 20px 50px;">
    <h4><?php _e( 'Default tag box', 'tag-groups-premium' ) ?></h4>
    <img src="<?php echo TAG_GROUPS_PLUGIN_URL ?>/vendor/tag-groups-premium/assets/images/default_meta_box_example.png" alt="example of the meta box" class="tag-groups-wizard-example"/>

  </div>

  <div style="float: left; margin: 20px 50px;">
    <h4><?php _e( 'New meta box', 'tag-groups-premium' ) ?></h4>
    <img src="<?php echo TAG_GROUPS_PLUGIN_URL ?>/vendor/tag-groups-premium/assets/images/meta_box_example.png" alt="example of the meta box" class="tag-groups-wizard-example"/>
  </div>


  <div style="clear:both;"></div>
  <form method="post" action="<?php echo $setup_wizard_next_link ?>">

    <p><?php _e( "Select the taxonomies for which you want to use the new meta box. Select none if you don't need any.", 'tag-groups-premium' ) ?></p>

    <ul>
      <?php foreach ( $taxonomies as $taxonomy ) :
        $post_types = TagGroups_Taxonomy::post_types_from_taxonomies( $taxonomy ); ?>
        <li>
          <input type="checkbox" name="taxonomies[]" autocomplete="off" id="<?php echo $taxonomy ?>" value="<?php echo $taxonomy ?>"<?php if ( in_array( $taxonomy, $tag_group_meta_box_taxonomy ) ) : ?> checked<?php endif; ?>/>&nbsp;
          <label for="<?php echo $taxonomy ?>" class="tg_unhide_trigger"><?php echo TagGroups_Taxonomy::get_name_from_slug( $taxonomy ) ?> (<?php echo $taxonomy ?>)
            <span style="display: none; color: #999;">(<?php _e( 'post type', 'tag-groups-premium' ) ?>: <?php echo implode( ', ', $post_types ) ?>)</span>
          </label>
        </li>
      <?php endforeach; ?>
    </ul>
    <script>
    jQuery(document).ready(function () {
      jQuery(".tg_unhide_trigger").mouseover(function () {
        jQuery(this).find("span").show();
      });
      jQuery(".tg_unhide_trigger").mouseout(function () {
        jQuery(this).find("span").hide();
      });
    });
    </script>


    <p>&nbsp;</p>
    <h4><span class="dashicons dashicons-lightbulb"></span>&nbsp;<?php _e( 'You will find more options in the Tag Groups settings.' ) ?></h4>


    <?php foreach( $tag_group_meta_box_include as $group_id ) : ?>
      <input type="hidden" name="tag_group_meta_box_include[]" value='<?php echo $group_id ?>'>
    <?php endforeach; ?>
    <input type="hidden" name="tag_group_meta_box_open_all" value='<?php echo $tag_group_meta_box_open_all ?>'>
    <input type="hidden" name="tag_group_hide_tagsdiv" value='<?php echo $tag_group_hide_tagsdiv ?>'>
    <input type="hidden" name="tag_group_open_all_with_terms" value='<?php echo $tag_group_open_all_with_terms ?>'>


    <input type="hidden" name="tg_action_wizard" value="meta-box">

    <script>
    jQuery("#tag_group_meta_box_include").SumoSelect({
      search: true,
      forceCustomRendering: true,
      selectAll: true,
      captionFormatAllSelected: "<?php _e( 'all {0} selected', 'tag-groups-premium' ) ?>",
      captionFormat: "<?php _e( '{0} selected', 'tag-groups-premium' ) ?>",
    });
    </script>
    <input type="submit" value="<?php _e( 'Next Step' ) ?>" class="button button-primary tag-groups-wizard-submit">
    <input type="hidden" name="tag-groups-setup-wizard-nonce" id="tag-groups-setup-wizard-nonce" value="<?php echo wp_create_nonce( 'tag-groups-setup-wizard-nonce' ) ?>" />
  </form>
</div>
