<div style="margin: 50px 0 0;">

  <p><?php _e( 'If your theme allows, you can display post tags sorted into groups on the front end under each post.', 'tag-groups-premium' ) ?></p>

  <div style="float: left; margin: 20px 50px;">
    <h4><?php printf( __( 'Example of tags under the post content with <a %s>additional styling</a>', 'tag-groups-premium' ), 'href="https://documentation.chattymango.com/documentation/tag-groups-premium/how-to-and-faq/how-do-i-change-the-styling-of-the-post-tags-under-the-posts/?pk_campaign=tgp&pk_kwd=wizard" target="_blank"') ?></h4>
    <img src="<?php echo TAG_GROUPS_PLUGIN_URL ?>/vendor/tag-groups-premium/assets/images/post_tags_example.png" alt="example of post tags" class="tag-groups-wizard-example"/>
  </div>

  <div style="clear:both;"></div>
  <form method="post" action="<?php echo $setup_wizard_next_link ?>">

    <p><?php _e( 'On which page types do you want to display tag groups and tags under posts? (If your theme allows.)', 'tag-groups-premium' ) ?></p>
    <p>
      <input type="checkbox" name="tag_group_display_groups_under_posts_single" id="tag_group_display_groups_under_posts_single" autocomplete="off" value="1"
      <?php if ( $tag_group_display_groups_under_posts_single ) : ?> checked="checked"<?php endif; ?>
      autocomplete="off"/><label for="tag_group_display_groups_under_posts_single"><?php _e( 'Single Post', 'tag-groups-premium' ) ?></label>
    </p>

    <p>
      <input type="checkbox" name="tag_group_display_groups_under_posts_home" id="tag_group_display_groups_under_posts_home" value="1"<?php if ( $tag_group_display_groups_under_posts_home ) : ?> checked="checked"<?php endif; ?> autocomplete="off"/>
      <label for="tag_group_display_groups_under_posts_home"><?php _e( 'Home/Blog', 'tag-groups-premium' ) ?></label>
    </p>

    <p>
      <input type="checkbox" name="tag_group_display_groups_under_posts_archive" id="tag_group_display_groups_under_posts_archive" value="1"<?php if ( $tag_group_display_groups_under_posts_archive ) : ?> checked="checked"<?php endif; ?> autocomplete="off"/>
      <label for="tag_group_display_groups_under_posts_archive"><?php _e( 'Archive', 'tag-groups-premium' ) ?></label>
    </p>

    <p>
      <input type="checkbox" name="tag_group_display_groups_under_posts_feed" id="tag_group_display_groups_under_posts_feed" value="1"<?php if ( $tag_group_display_groups_under_posts_feed ) : ?> checked="checked"<?php endif; ?> autocomplete="off"/>
      <label for="tag_group_display_groups_under_posts_feed"><?php _e( 'Feed', 'tag-groups-premium' ) ?></label>
    </p>

    <p>&nbsp;</p>

    <p><?php _e( 'Enter a title that should appear above the tags:', 'tag-groups-premium' ) ?></p>
    <p>
      <input name="tag_group_display_groups_under_posts_title" value="<?php echo $tag_group_display_groups_under_posts_title ?>" autocomplete="off"/>
    </p>
    <p>&nbsp;</p>

    <p><?php _e( 'Enter a separator that appears between the tags', 'tag-groups-premium' ) ?><span class="dashicons dashicons-editor-help chatty-mango-help-icon" data-topic="post-tags-separator"></span></p>

    <div class="chatty-mango-help-container chatty-mango-help-container-post-tags-separator" style="display:none;"><?php _e( 'Use &amp;nbsp; as non-breaking space.', 'tag-groups-premium' ) ?></div>
    <p>
      <input name="tag_group_display_groups_under_posts_separator" value="<?php echo htmlentities( $tag_group_display_groups_under_posts_separator ) ?>" autocomplete="off"/>
    </p>
    <p>&nbsp;</p>

    <h4><span class="dashicons dashicons-lightbulb"></span>&nbsp;<?php _e( 'You will find more options in the Tag Groups settings.' ) ?></h4>


    <input type="hidden" name="tag_group_display_groups_under_posts_priority" value='<?php echo $tag_group_display_groups_under_posts_priority ?>'>
    <input type="hidden" name="tag_group_remove_the_post_terms" value='<?php echo $tag_group_remove_the_post_terms ?>'>
    <?php foreach( $tag_group_display_groups_under_posts as $group_id ) : ?>
      <input type="hidden" name="tag_group_display_groups_under_posts[]" value='<?php echo $group_id ?>'>
    <?php endforeach; ?>

    <input type="hidden" name="tg_action_wizard" value="post-tags">

    <input type="submit" value="<?php _e( 'Next Step' ) ?>" class="button button-primary tag-groups-wizard-submit">
    <input type="hidden" name="tag-groups-setup-wizard-nonce" id="tag-groups-setup-wizard-nonce" value="<?php echo wp_create_nonce( 'tag-groups-setup-wizard-nonce' ) ?>" />
  </form>
</div>
