<div id="<?php echo $div_id ?>"<?php if ( ! empty( $div_class ) ) : ?> class="<?php echo $div_class ?>"<?php endif; ?>>
  <div id="tg_filter_box_intro">
    <div id="tg_post_filter_notifications" style="color:red;padding:5px;"></div>
    <div id="tg_post_filter_groups_selector">
      <img src="<?php echo admin_url('images/spinner.gif') ?>" />
    </div>
  </div>
  <?php if ( ! $separate ) : ?>
    <div id="tg_filter_box_posts" class="content-area">
      <?php echo htmlentities( $posts_placeholder ) ?>
    </div>
  <?php endif; ?>
</div>

<script>
var tagGroupsSelectedGroupIds = [];
var tagGroupsLabels = <?php echo json_encode( $term_group_labels ); ?>;
var tagGroupsNumberOfGroups = <?php echo count( $term_groups_included ) - 1; ?>;
var tagGroupsGroupIds = JSON.parse('<?php echo json_encode( array_values( $term_groups_included ) ) ?>');
var tagGroupsGroupIdsReversed = JSON.parse('<?php echo json_encode( array_values( array_reverse( $term_groups_included ) ) ) ?>');
<?php if ( ! $groups_only): ?>
var tagGroupsTermsOfGroup = {};
<?php foreach ( $term_groups_included as $term_group_included ) : ?>
<?php if ( $term_group_included != 0 ) : ?>
tagGroupsTermsOfGroup[<?php echo $term_group_included ?>] = [];
<?php endif; ?>
<?php endforeach; ?>
var tagGroupsFilterTerms = [];
<?php endif; ?>
var tagGroupsDPFTimestamp = 0;
var tagGroupsPaged = 0;
var tagGroupsGroupsLoaded = 0;
var tagGroupsRetrievePostDelayed = false;
var tagGroupsLastArticle = 0;

/**
* Add a <select> element with all still selectable tag groups
*/
function tagGroupsAddSelector(){
  var output = '';
  var groupOptions = '';

  tagGroupsGroupIds.forEach(function(termgroup){
    /* Add only groups that are not yet selected */
    <?php if ( $sumoselect ): ?>
    if ( 0 != termgroup && tagGroupsSelectedGroupIds.indexOf(termgroup) == -1 ) {
      groupOptions += '<option value="' + termgroup + '">' + tagGroupsLabels[termgroup] + '</option>';
    }
    <?php else: ?>
    if (0 == termgroup || tagGroupsSelectedGroupIds.indexOf(termgroup) == -1 ) {
      groupOptions += '<option value="' + termgroup + '">' + tagGroupsLabels[termgroup] + '</option>';
    }
    <?php endif; ?>
  });

  if (tagGroupsSelectedGroupIds.length < tagGroupsNumberOfGroups ) {
    output += '<select id="select_tag_group" autocomplete="off">' + groupOptions + '</select>';
  }

  var open_close_all = '';

  if (tagGroupsSelectedGroupIds.length < tagGroupsNumberOfGroups ) {
    // "open all" button
    open_close_all += ' <span id="tg_open_all" class="dashicons dashicons-arrow-down-alt2 tg_open_close tg_pointer tg_right" title="<?php _e( 'Open all', 'tag-groups-premium' ) ?>"></span>';
  } else {
    // inactive "open all" button
    <?php if ( ! $hide_close_buttons || ! $open ) : // Clean design without inactive button ?>
    open_close_all += ' <span id="tg_open_all_inactive" class="dashicons dashicons-arrow-down-alt2 tg_open_close tg_pointer tg_right tg_inactive"></span>';
    <?php endif; ?>
  }
  <?php if ( ! $hide_close_buttons ) : // disable also "close all" ?>
  if (tagGroupsSelectedGroupIds.length > 0) {
    // "close all" button
    open_close_all += ' <span id="tg_close_all" class="dashicons dashicons-arrow-up-alt2 tg_open_close tg_pointer tg_right" title="<?php _e( 'Close all', 'tag-groups-premium' ) ?>"></span>';
  } else {
    // inactive "close all" button
    open_close_all += ' <span id="tg_close_all_inactive" class="dashicons dashicons-arrow-up-alt2 tg_open_close tg_pointer tg_right tg_inactive"></span>';
  }
  <?php endif; ?>

  if ( open_close_all !== '' ) {
    output += '<span style="margin:5px;">' + open_close_all + '</span>';
  }


  <?php
  if ( ! empty( $groups_header ) ) : ?>
  if (tagGroupsSelectedGroupIds.length > 0) {
    output += '<h3 class="tg_groups_header"><?php echo htmlspecialchars( str_replace( "'", "\'", $groups_header ) ) ?></h3>';
  }
  <?php endif; ?>

  jQuery('#tg_post_filter_groups_selector').html('<div id="tg_select_group_container" style="display:inline-block;width:100%;">' + output + '</div>');

  <?php if ( $sumoselect ) : ?>
  jQuery("#select_tag_group").SumoSelect({
    placeholder: '<?php echo htmlentities( str_replace( "'", "\'", $default_option_label ) ) ?>',
    <?php if ( $selectsearch ) : ?>
    search: true,
    <?php endif; ?>
  });
  <?php endif; ?>
}

/**
* Retrieve the posts
*/
function tagGroupsRetrievePosts(termgroup) {
  termgroup = parseInt(termgroup);
  <?php if ( ! $groups_only ): // We need to send terms ?>
  var terms = [];
  tagGroupsGroupIds.forEach(function(termgroup){
    if (termgroup>0) {
      var term = {};
      var term_container = jQuery('#tg_terms_container_'+termgroup);
      if (term_container.length > 0) {
        term.termgroup = termgroup;
        term.content = term_container.val();
        terms.push(term);
      }
    }
  });
  <?php endif; ?>
  <?php if ( $persistent_filter ) : ?>
  tgCookieSaveFilter();
  <?php endif; ?>

  // Update the timestamp
  tagGroupsDPFTimestamp = Date.now();

  // fade list of posts to signify that something will change
  <?php if ( $transition == 'fade' ) : ?>
  jQuery('#tg_filter_box_posts').fadeTo(500,0.5);
  <?php else: ?>
  jQuery('#tg_filter_box_posts').addClass('tg_opacity');
  <?php endif; ?>

  jQuery.ajax( {
    url: "<?php echo $ajax_link ?>",
    dataType: "xml",
    data: {
      action: 'tg_ajax_get_posts',
      termgroup: termgroup,
      taxonomy: '<?php echo $taxonomy ?>',
      <?php if ( ! $groups_only ): ?>
      terms: terms,
      <?php else: ?>
      groups_only_ids: tagGroupsSelectedGroupIds,
      <?php endif; ?>
      <?php if ( isset( $caching_time ) ): ?>
      caching_time: <?php echo $caching_time ?>,
      <?php endif; ?>
      operator: '<?php echo $operator ?>',
      posts_per_page: '<?php echo $posts_per_page ?>',
      template: '<?php echo str_replace( "'", "/'", $template ) ?>',
      static_taxonomy: '<?php echo $static_taxonomy ?>',
      static_terms: '<?php echo $static_terms ?>',
      count: '<?php echo $display_amount ?>',
      paged: tagGroupsPaged,
      order: '<?php echo $order ?>',
      orderby: '<?php echo $orderby ?>',
      timestamp: tagGroupsDPFTimestamp,
    },
    method:'post',
    success: function( data ) {
      var timestamp = jQuery(data).find('timestamp').text();
      /* check timestamp to make sure that we have received the respons to the LATEST request */
      if (tagGroupsDPFTimestamp>timestamp) {
        // We are expecting something newer
        <?php if ( defined('WP_DEBUG') && WP_DEBUG ) :?>
        console.log( '[Tag Groups Premium] Discarding belated response.' );
        <?php endif; ?>
        return;
      }

      var termgroup = jQuery(data).find('termgroup').text();
      var posts = JSON.parse( jQuery(data).find('posts').text() );
      var pager = JSON.parse( jQuery(data).find('pager').text() );
      var count_txt = jQuery(data).find('count').text();
      var count = 0;
      if (count_txt) {
        count = JSON.parse( jQuery(data).find('count').text() );
      }

      /* compiling the post output */
      var poststxt = '';

      if ( posts.length == 0 ) {
        tagGroupsPaged = 0;
        pager.down = false;
        pager.up = false;
        poststxt += '<div class="tg_dpf_nothing_found"><?php echo htmlentities( str_replace( "'", "/'", $message_nothing_found ) ) ?></div>';
      } else {
        posts.forEach(function(post){
          poststxt += '<article id="'+post.id+'" class="tg_dpf_article">';
          poststxt += post.content;
          poststxt += '</article>';
        });
      }
      <?php if ( $pager ): ?>
      poststxt += '<h4 class="tg_pager">';
      if ( pager.down == true ) {
        poststxt += '<span id="tg_pager_down" data-termgroup="'+termgroup+'" class="tg_dpf_back tg_pointer tg_left"><span class="dashicons dashicons-arrow-left-alt"></span>&nbsp;<?php echo htmlentities( str_replace( "'", "/'", $message_go_back ) ) ?></span> ';
      }
      if ( pager.up == true ) {
        poststxt += ' <span id="tg_pager_up" data-termgroup="'+termgroup+'" class="tg_dpf_more tg_pointer tg_right"><?php echo htmlentities( str_replace( "'", "/'", $message_load_more ) ) ?>&nbsp;<span class="dashicons dashicons-arrow-right-alt"></span></span> ';
      }
      poststxt += '</h4>';
      <?php endif; ?>

      <?php if ( $display_amount ) : ?>
      if ( count > 0 ) {
        var message_amount_sg = '<?php echo htmlentities( str_replace( "'", "/'", $message_amount_singular ) ) ?>';
        var message_amount_pl = '<?php echo htmlentities( str_replace( "'", "/'", $message_amount_plural ) ) ?>';
        if ( count == 1 ) {
          var count_message = message_amount_sg;
        } else {
          var count_message = message_amount_pl.replace( new RegExp( "\\{count\}", "gm" ), count );
        }
        poststxt = '<div id="tg_filter_box_amount">' + count_message + '</div>' + poststxt;
      }
      <?php endif; ?>

      <?php if ( $transition == 'fade' ) : ?>
      jQuery('#tg_filter_box_posts').fadeTo(200,0,function(){jQuery(this).html(poststxt).promise().done(function(){jQuery(this).fadeTo(500,1)})});
      <?php else: ?>
      jQuery('#tg_filter_box_posts').removeClass('tg_opacity');
      jQuery('#tg_filter_box_posts').show().html(poststxt);
      <?php endif; ?>
      <?php if ( $persistent_filter ) : ?>
      // scroll to the group selectors, in order to avoid occasional random positions
      if ( tagGroupsLastArticle > 0) {
        <?php if ( $transition == 'fade' ) : ?>
        // needs one sec to finish fading and .offset() is available
        var renderTimeout=1000;
        <?php else: ?>
        // give some time to render
        var renderTimeout=200;
        <?php endif; ?>
        setTimeout(function(){
          if ( typeof jQuery("article#"+tagGroupsLastArticle+".tg_dpf_article").offset() !== 'undefined' ) {
            jQuery(document).scrollTop( jQuery("article#"+tagGroupsLastArticle+".tg_dpf_article").offset().top - 50 );
            // We need to reset the tagGroupsLastArticle
            tgSetCookie('taggroupsdpflastarticle',0,0);
            tagGroupsLastArticle = 0;
          }
        }, renderTimeout);
      } else {
        if ( typeof jQuery("<?php echo $div_id ?>").offset() !== 'undefined' ) {
          jQuery(document).scrollTop( jQuery("<?php echo $div_id ?>").offset().top - 50 );
        }
      }
      <?php endif; // $persistent_filter ?>
    },
    error: function(xhr, textStatus, errorThrown) {
      console.log('[Tag Groups Premium] error (tagGroupsRetrievePosts): ' + xhr.responseText);
    }
  } );
}

/**
* Retrieve tags that are currently selected for this post and add them into the field
*/
function tagGroupsRetrieveTags() {
  /* get all available tags for this taxonomy */
  tagGroupsGroupIds.forEach(function(termgroup){
    if (termgroup > 0) {
      jQuery.ajax( {
        url: "<?php echo $ajax_link ?>",
        dataType: "xml",
        data: {
          action: 'tg_ajax_get_terms_by_group',
          termgroup: termgroup,
          taxonomy: '<?php echo $taxonomy ?>'
        },
        method:'post',
        success: function( data ) {
          var tagstxt = jQuery(data).find('tags').text();
          var termgroup = jQuery(data).find('termgroup').text();
          tagGroupsTermsOfGroup[termgroup] = JSON.parse(tagstxt);

          tagGroupsGroupsLoaded++;
          if ( tagGroupsGroupsLoaded >= tagGroupsNumberOfGroups ) {
            <?php if ( ! empty( $open_a ) ) :
              foreach( $open_a as $term_group ) : ?>
              tagGroupsCreateGroupBox(<?php echo $term_group; ?>);
              <?php endforeach;
            endif; ?>
            tagGroupsAddSelector();

            <?php if ( $persistent_filter ) : ?>
            // restore the persistent filter from the cookie
            tgCookieLoadFilter();
            <?php endif; ?>
          }
        },
        error: function(xhr, textStatus, errorThrown) {
          console.log('[Tag Groups Premium] error (tagGroupsRetrieveTags): ' + xhr.responseText);
        }
      });
    }
  });
}

/**
* Removes the box for a particular tag group
*/
function tagGroupsRemoveGroup(termgroup) {
  termgroup = parseInt(termgroup);
  <?php if ( ! $groups_only ): ?>
  /* Remove tags that are in field but not among original group tags from filter_tags */
  // get selected tags
  var selected_tags_val = jQuery('#tg_terms_container_' + termgroup ).val();
  if ( selected_tags_val != '' ) {
    var selected_tags = selected_tags_val.split(',');
    selected_tags.forEach(function(tag){
      var i = tagGroupsFilterTerms.indexOf(tag);
      if (i > -1) {
        tagGroupsFilterTerms.splice(i,1);
      }
    });
  }
  <?php else: ?>

  <?php endif; ?>
  /* Remove the div */
  jQuery('[data-termgroup='+termgroup+']').remove();

  /* Make group available again for selection  */
  var i = tagGroupsSelectedGroupIds.indexOf(termgroup);
  tagGroupsSelectedGroupIds.splice(i, 1);

  /* Reveal the selector */
  tagGroupsAddSelector();
  /* Set pager to beginning */
  tagGroupsPaged = 0;
  jQuery('#tg_filter_box_intro').show();
}

/**
*	Creates the box for a particular tag group where tags can be added
*/
function tagGroupsCreateGroupBox(termgroup) {

  termgroup = parseInt(termgroup);

  if ( tagGroupsSelectedGroupIds.indexOf(termgroup) == -1 ) {
    // add this termgroup to the array of groups that have a box open
    tagGroupsSelectedGroupIds.push(termgroup);
  }

  var box_html = '<div class="tg_post_filter_group_container" id="tg_post_filter_group_container_' + termgroup + '" data-termgroup="' + termgroup + '" style="padding:5px;"><h4>';

  <?php if ( ! $hide_close_buttons ) : ?>
  box_html += '<span class="tg_post_filter_undo dashicons dashicons-dismiss tg_pointer tg_right" data-termgroup="' + termgroup + '" title="<?php _e('Close', 'tag-groups-premium' ) ?>"></span>';
  <?php endif; ?>

  box_html += tagGroupsLabels[termgroup] + '</h4>';

  <?php if ( !$groups_only ) : ?>
  box_html +=   '<input type="text" id="tg_terms_container_' + termgroup + '" name="tg_post_filter_tags_' + termgroup + '" class="tg_post_filter_tags_container" data-termgroup="' + termgroup + '" data-role="tagsinput" style="width:90%;" />';
  <?php endif; ?>
  box_html += '</div>';
  jQuery('#tg_post_filter_groups_selector').after(box_html);

  <?php if ( !$groups_only ) : ?>
  <?php if ( $transition == 'fade' ) : ?>
  jQuery('#tg_filter_box_posts').fadeOut(function(){jQuery(this).html('').promise().done(function(){jQuery(this).fadeIn()})});
  <?php else: ?>
  jQuery('#tg_filter_box_posts').html('');
  <?php endif; ?>

  jQuery( '#tg_terms_container_' + termgroup ).tagEditor({
    placeholder: '<?php echo htmlentities( str_replace( "'", "/'", $placeholder ) ) ?>',
    forceLowercase: false,
    noEdit: true,
    autocomplete: {
      minLength: 0,
      position: { collision: 'flip' },
      source: function(request, response) {
        // clone the array
        var available_group_terms = JSON.parse(JSON.stringify(tagGroupsTermsOfGroup[termgroup]));
        // remove terms from array that are already in the input field
        var tags = jQuery('#tg_terms_container_' + termgroup ).tagEditor('getTags')[0].tags;
        if (tags.length > 0) {
          // remove filter_tags from available tags
          tags.forEach(function(tag){
            var i = available_group_terms.indexOf(tag);
            if (i>-1) {
              available_group_terms.splice(i,1);
            }
          });
        }
        response(jQuery.ui.autocomplete.filter(available_group_terms, request.term));
      },
      open: function(event, ui) { // try to turn off iPhone double tap
        if (navigator.userAgent.match(/(iPod|iPhone|iPad)/)) {
          jQuery('.ui-autocomplete').off('mouseenter menufocus hover mouseover');
        }
      }
    },
    beforeTagSave: function(field, editor, tags, tag, val){
      val = val.trim();
      var valLowerCase = val.toLowerCase()

      // restricted to existing tags
      // concat all tags
      var all_tags = [];
      for (var id in tagGroupsTermsOfGroup) {
        if ( tagGroupsTermsOfGroup.hasOwnProperty(id) ) {
          all_tags = all_tags.concat(tagGroupsTermsOfGroup[id]);
        }
      }

      if ( all_tags.indexOf(val) == -1 ) {
        editor.find('input.ui-autocomplete-input').css('background-color', 'red').fadeOut(2000);
        jQuery('#tg_post_filter_notifications').html('<?php echo htmlentities( str_replace( "'", "/'", $message_only_existing ) ) ?>').slideDown().clearQueue();
        setTimeout(function() {jQuery('#tg_post_filter_notifications').slideUp().html('');},5000);
        return false;
      }
      // restricted to original group
      if ( tagGroupsTermsOfGroup[termgroup].indexOf(val) == -1 ) {
        jQuery('#tg_post_filter_notifications').html('<?php echo htmlentities( str_replace( "'", "/'", $message_same_group ) ) ?>').slideDown().clearQueue();
        setTimeout(function() {jQuery('#tg_post_filter_notifications').slideUp().html('');},5000);
        return false;
      }
      // add tag to filter_tags
      // make sure that tag is not already there
      if (tags.indexOf(valLowerCase)>-1) {
        jQuery('#tg_post_filter_notifications').html('<?php _e( 'Tag already selected.', 'tag-groups-premium' ) ?>').slideDown().clearQueue();
        setTimeout(function() {jQuery('#tg_post_filter_notifications').slideUp().html('');},5000);
        return false;
      }
      tagGroupsFilterTerms.push(val);
    },
    beforeTagDelete: function(field, editor, tags, val){
      // remove tag from filter_tags
      var filter_tags = [];
      var i = tagGroupsFilterTerms.indexOf(val);
      if (i>-1) {
        tagGroupsFilterTerms.splice(i,1);
      }
    },
    onChange: function(field, editor, tags){
      /* Set pager to beginning */
      tagGroupsPaged=0;
      /* refresh the list of matching posts */
      if (tags.length > 0) {
        if (!tagGroupsRetrievePostDelayed){
          tagGroupsRetrievePosts(termgroup);
        }
      } else {
        /* Check if any tag is left in any tag input field*/
        var moreTags=false;
        var term_container;
        tagGroupsSelectedGroupIds.every(function(i){
          term_container = jQuery('#tg_terms_container_'+i);
          if (term_container.length > 0 && term_container.val()!='') {
            moreTags=true;
            return false;
          }
          return true;
        });
        if (moreTags) {
          if (!tagGroupsRetrievePostDelayed){
            tagGroupsRetrievePosts(termgroup);
          }
        } else {
          jQuery('#tg_filter_box_posts').html('');
          <?php if ( $persistent_filter ) : ?>
          tgSetCookie('taggroupsdpfterms','',0);
          tgSetCookie('taggroupsdpfpaged',0,0);
          tgSetCookie('taggroupsdpflastarticle',0,0);
          tagGroupsLastArticle = 0;
          <?php endif; ?>
        }
      }
    }
  });

  <?php else: ?>
  //tagGroupsRetrievePosts(termgroup);
  <?php endif; ?>
  tagGroupsAddSelector();
}

<?php if ( $persistent_filter ) : ?>
/**
* read the cookie that saves the filter state
*/
function tgCookieLoadFilter() {

  <?php if ( $groups_only ): ?>
  filter = tgGetCookie('taggroupsdpfgroups');
  tagGroupsLastArticle = tgGetCookie('taggroupsdpflastarticle');
  if (filter !== '') {
    tagGroupsSelectedGroupIds = JSON.parse(filter);
    for (var i in tagGroupsSelectedGroupIds) {
      if (tagGroupsSelectedGroupIds.hasOwnProperty(i) && tagGroupsSelectedGroupIds[i]) {
        if ( jQuery('#tg_post_filter_group_container_' + tagGroupsSelectedGroupIds[i]).length == 0 ) {
          // open group
          tagGroupsCreateGroupBox(tagGroupsSelectedGroupIds[i]);
        }
      }
    }
    tagGroupsRetrievePostDelayed = false;
    // need to get tagGroupsPaged here, otherwise reset to 0 in tagEditor's onChange handler
    tagGroupsPaged = tgGetCookie('taggroupsdpfpaged');
    tagGroupsRetrievePosts(0);
  }
  <?php else: ?>
  var filter = tgGetCookie('taggroupsdpfterms');
  tagGroupsLastArticle = tgGetCookie('taggroupsdpflastarticle');
  if (filter !== '') {
    var groupsTerms = JSON.parse(filter);
    tagGroupsRetrievePostDelayed = true; // retrieve posts only at the end
    for (var i in groupsTerms) {
      if (groupsTerms.hasOwnProperty(i) && groupsTerms[i]) {
        if (tagGroupsGroupIds.indexOf(groupsTerms[i].g)>-1 ){

          if ( jQuery('#tg_post_filter_group_container_' + groupsTerms[i].g).length == 0 ) {
            // open group
            tagGroupsCreateGroupBox(groupsTerms[i].g);
          }
          // add terms
          if ( typeof groupsTerms[i].t !== 'undefined') {
            jQuery('#tg_terms_container_'+groupsTerms[i].g).tagEditor('addTags',groupsTerms[i].t.split(','),true);
          }
        }
      }
    }
    tagGroupsRetrievePostDelayed = false;
    // need to get tagGroupsPaged here, otherwise reset to 0 in tagEditor's onChange handler
    tagGroupsPaged = tgGetCookie('taggroupsdpfpaged');
    tagGroupsRetrievePosts(0);
  }
  <?php endif; ?>
}

function tgCookieSaveFilter() {
  var terms = [];
  <?php if ( $groups_only ): ?>
  var jsonGroups=JSON.stringify(tagGroupsSelectedGroupIds);
  tgSetCookie('taggroupsdpfgroups',jsonGroups,<?php echo intval( $persistent_filter ) ?>);
  <?php else: ?>
  tagGroupsGroupIds.forEach(function(termgroup){
    if (termgroup>0) {
      var term = {};
      var term_container = jQuery('#tg_terms_container_'+termgroup);
      if (term_container.length > 0) {
        term.g = termgroup;
        term.t = term_container.val();
        terms.push(term);
      }
    }
  });
  var jsonTerms=JSON.stringify(terms);
  tgSetCookie('taggroupsdpfterms',jsonTerms,<?php echo intval( $persistent_filter ) ?>);
  <?php endif; ?>
  tgSetCookie('taggroupsdpfpaged',tagGroupsPaged,<?php echo intval( $persistent_filter ) ?>);
}

/**
* https://www.w3schools.com/js/js_cookies.asp
*/
function tgSetCookie(cname, cvalue, exmins) {
  var d = new Date();
  d.setTime(d.getTime() + (exmins*60*1000));
  var expires = "expires="+ d.toUTCString();
  document.cookie = cname + "<?php echo sanitize_title( $div_id ) ?>" + "=" + cvalue + ";" + expires + ";path=/";
}

/**
* https://www.w3schools.com/js/js_cookies.asp
*/
function tgGetCookie(cname) {
  var name = cname + "<?php echo sanitize_title( $div_id ) ?>" + "=";
  var decodedCookie = decodeURIComponent(document.cookie);
  var ca = decodedCookie.split(';');
  for(var i = 0; i <ca.length; i++) {
    var c = ca[i];
    while (c.charAt(0) == ' ') {
      c = c.substring(1);
    }
    if (c.indexOf(name) == 0) {
      return c.substring(name.length, c.length);
    }
  }
  return "";
}
<?php endif; // $persistent_filter ?>

jQuery(document).ready(function(){
  <?php if ( ! $groups_only): ?>
  tagGroupsRetrieveTags();
  <?php else: ?>
  tagGroupsAddSelector();
  <?php if ( $persistent_filter ) : ?>
  // restore the persistent filter from the cookie
  tgCookieLoadFilter();
  <?php endif; ?>
  <?php endif; ?>

  // Prevent browsers to scroll where they like, if they execute JS
  if ('scrollRestoration' in history) {
    history.scrollRestoration = 'manual';
  }

  jQuery('#tg_filter_box_posts').html('<?php echo htmlentities( str_replace( "'", "/'", $posts_placeholder ) ) ?>');

  /* Open autocomplete-selector with all tags on focus */
  jQuery( '.tag-editor' ).live('focus', function(e) {
    setTimeout(function(t){
      jQuery(t).find('.ui-autocomplete-input').autocomplete('search', '');
    }, 200, this )
  });

  <?php if ( $persistent_filter ) : ?>
  jQuery( 'article.tg_dpf_article a' ).live('click', function(e) {
    tagGroupsLastArticle = jQuery(this).closest('article').attr('id');
    tgSetCookie('taggroupsdpflastarticle',tagGroupsLastArticle,<?php echo intval( $persistent_filter ) ?>);
  })
  <?php endif; ?>

  /* A group has been selected */
  jQuery('#select_tag_group').live('change', function(){
    var termgroup = jQuery(this).val();
    if (0==termgroup) {
      return false;
    }
    // Show the select menu only if any groups left to select
    if (tagGroupsSelectedGroupIds.length == <?php echo count( $term_groups_included ) ?> ) {
      jQuery('#tg_filter_box_intro').hide();
    } else {
      jQuery('#tg_filter_box_intro').show();
    }
    tagGroupsCreateGroupBox(termgroup);
    <?php if ($groups_only): ?>
    /* Set pager to beginning */
    tagGroupsPaged=0;
    /* refresh the list of matching posts */
    <?php if ( $persistent_filter ) : ?>
    tgCookieSaveFilter();
    <?php endif; ?>
    tagGroupsRetrievePosts(0);
    <?php endif; ?>
  });

  /* A group will be closed. */
  jQuery('.tg_post_filter_undo').live('click', function(){
    var termgroup = jQuery(this).attr('data-termgroup');
    tagGroupsRemoveGroup(termgroup);

    if ( tagGroupsSelectedGroupIds.length == 0 ) {
      <?php if ( $transition == 'fade' ) : ?>
      jQuery('#tg_filter_box_posts').fadeOut(function(){
        jQuery(this).html('<?php echo htmlentities( str_replace( "'", "/'", $posts_placeholder ) ) ?>').promise().done(
          function(){jQuery(this).fadeIn();}
        )});
        <?php else: ?>
        jQuery('#tg_filter_box_posts').html('<?php echo htmlentities( str_replace( "'", "/'", $posts_placeholder ) ) ?>');
        <?php endif; ?>
      } else {
        /* refresh the list of matching posts */
        tagGroupsRetrievePosts(0);
      }
    });

    /* Open all groups */
    jQuery('#tg_open_all').live('click', function(){
      tagGroupsGroupIdsReversed.forEach(function(termgroup){
        if ( termgroup>0 && jQuery('#tg_post_filter_group_container_' + termgroup).length == 0 ) {
          tagGroupsCreateGroupBox(termgroup);
        }
      });
      <?php if ($groups_only): ?>
      /* We need to wait until all groups are loaded */
      /* Set pager to beginning */
      tagGroupsPaged=0;
      /* refresh the list of matching posts */
      tagGroupsRetrievePosts(0);
      <?php endif; ?>
    });

    /* Close all groups */
    jQuery('#tg_close_all').live('click', function(){
      jQuery('[id^=tg_post_filter_group_container_]').each(function(){
        var termgroup = jQuery(this).attr('data-termgroup');
        tagGroupsRemoveGroup(termgroup);
      })

      <?php if ( $transition == 'fade' ) : ?>
      jQuery('#tg_filter_box_posts').fadeOut(function(){jQuery(this).html('').promise().done(
        function(){jQuery(this).fadeIn();}
      )});
      <?php else: ?>
      jQuery('#tg_filter_box_posts').html('<?php echo htmlentities( str_replace( "'", "/'", $posts_placeholder ) ) ?>');
      <?php endif; ?>
    });

    /* clicked the pager up */
    jQuery('#tg_pager_up').live('click', function(){
      var termgroup = jQuery(this).attr('data-termgroup');
      tagGroupsPaged++;
      tagGroupsRetrievePosts(termgroup);
    });

    /* clicked the pager down */
    jQuery('#tg_pager_down').live('click', function(){
      var termgroup = jQuery(this).attr('data-termgroup');
      tagGroupsPaged--;
      tagGroupsRetrievePosts(termgroup);
    });
  });
</script>
