<div id="<?php echo $div_id ?>"<?php if ( ! empty( $div_class ) ) : ?> class="<?php echo $div_class ?>"<?php endif; ?>>
  <div id="tg_filter_box_toggle_intro">
    <div id="tg_post_filter_toggle_notifications" style="color: red; padding: 5px;"></div>
  </div>
  <div id="tg_filter_box_toggle_menu">
    <?php foreach ( $toggle_groups as $toggle_group ) : ?>
      <div id="tg_group_dpf_toggle_group_container_<?php echo $toggle_group['group_id'] ?>" class="tg_group_dpf_toggle_group_container">
        <h3 class="tg_group_dpf_toggle_name"><?php echo $toggle_group['label'] ?></h3>
        <div id="tg_group_dpf_toggle_term_container_<?php echo $toggle_group['group_id'] ?>" class="tg_group_dpf_toggle_term_container">
          <?php foreach( $toggle_group['terms'] as $term ) : ?>
            <div class="tg_group_dpf_toggle_tr" style="">
              <div class="tg_group_dpf_toggle_label_td">
                <label for="tg_group_dpf_toggle_term_<?php echo $term->term_id ?>"><?php echo $term->name ?></label>
              </div>
              <div class="tg_group_dpf_toggle_input_td">
                <div class="tag_groups_switch">
                  <input type="checkbox" autocomplete="off" data-groupid="<?php echo $toggle_group['group_id'] ?>" data-termid="<?php echo $term->term_id ?>" class="tg_group_dpf_toggle_term" name="tg_group_dpf_toggle_term_<?php echo $term->term_id ?>" id="tg_group_dpf_toggle_term_<?php echo $term->term_id ?>" value="1"/>
                  <label for="toggle"><i></i></label>
                  <span></span>
                </div>
              </div>
            </div>
          <?php endforeach; ?>
        </div>
      </div>
    <?php endforeach; ?>
  </div>
</div>

<script>
var tagGroupsGroupIds = JSON.parse('<?php echo json_encode( array_values( $term_groups_included ) ) ?>');
var tagGroupsTermsOfGroup = {};
<?php foreach ( $term_groups_included as $term_group_included ) : ?>
<?php if ( $term_group_included != 0 ) : ?>
tagGroupsTermsOfGroup[<?php echo $term_group_included ?>] = [];
<?php endif; ?>
<?php endforeach; ?>
var tagGroupsDPFTimestamp = 0;
var tagGroupsPaged = 0;
var tagGroupsGroupsLoaded = 0;
var tagGroupsLastArticle = 0;
var tagGroupsDefaultShowPosts = <?php echo $default_show_posts ? 'true' : 'false' ?>;

/**
* Retrieve the posts
*/
function tagGroupsRetrievePosts() {
  var terms = [];
  var found = false;
  tagGroupsGroupIds.forEach(function(groupId){
    if (groupId>0) {
      var group = {};
      group.groupid = groupId;
      group.termids = [];
      jQuery('[data-groupid='+groupId+']:checked').each(function(){
        group.termids.push(parseInt(jQuery(this).attr('data-termid')));
        found = true;
      });
      terms.push(group);
    }
  });
  if ( ! found && ! tagGroupsDefaultShowPosts ) {
    var postPlaceholder = '<?php echo htmlentities( str_replace( "'", "/'", $posts_placeholder ) ) ?>';
    <?php if ( $transition == 'fade' ) : ?>
    jQuery('#tg_filter_dpf_toggle_box_posts').fadeTo(500,0,function(){
      jQuery(this).html(postPlaceholder).promise().done(function(){
        jQuery(this).fadeTo(500,1)
      });
    });
    jQuery('#tg_filter_dpf_toggle_box_messages').fadeTo(500,0,function(){
      jQuery(this).html('<div id="tg_filter_box_amount"></div>').promise().done(function(){
        jQuery(this).fadeTo(500,1)
      });
    });
    <?php else: ?>
    jQuery('#tg_filter_dpf_toggle_box_posts').html(postPlaceholder);
    jQuery('#tg_filter_dpf_toggle_box_posts').removeClass('tg_opacity');
    jQuery('#tg_filter_dpf_toggle_box_messages').html('<div id="tg_filter_box_amount"></div>');
    <?php endif; ?>
    return;
  }

  <?php if ( $persistent_filter ) : ?>
  tgCookieSaveFilter();
  <?php endif; ?>

  // Update the timestamp
  tagGroupsDPFTimestamp = Date.now();

  // fade list of posts to signify that something will change
  <?php if ( $transition == 'fade' ) : ?>
  jQuery('#tg_filter_dpf_toggle_box_posts').fadeTo(500,0.5);
  <?php else: ?>
  jQuery('#tg_filter_dpf_toggle_box_posts').addClass('tg_opacity');
  <?php endif; ?>

  jQuery.ajax( {
    url: "<?php echo $ajax_link ?>",
    dataType: "xml",
    data: {
      action: 'tg_ajax_dpf_toggle_get_posts',
      taxonomy: '<?php echo $taxonomy ?>',
      terms: terms,
      <?php if ( isset( $caching_time ) ): ?>
      caching_time: <?php echo $caching_time ?>,
      <?php endif; ?>
      operator: '<?php echo $operator ?>',
      posts_per_page: '<?php echo $posts_per_page ?>',
      template: '<?php echo str_replace( "'", "/'", $template ) ?>',
      count: '<?php echo $display_amount ?>',
      paged: tagGroupsPaged,
      order: '<?php echo $order ?>',
      orderby: '<?php echo $orderby ?>',
      timestamp: tagGroupsDPFTimestamp,
    },
    method:'post',
    success: function( data ) {
      var timestamp = jQuery(data).find('timestamp').text();
      /* check timestamp to make sure that we have received the respons to the LATEST request */
      if (tagGroupsDPFTimestamp>timestamp) {
        // We are expecting something newer
        <?php if ( defined('WP_DEBUG') && WP_DEBUG ) :?>
        console.log( '[Tag Groups Premium] Discarding belated response.' );
        <?php endif; ?>
        return;
      }

      var posts = JSON.parse( jQuery(data).find('posts').text() );
      var pager = JSON.parse( jQuery(data).find('pager').text() );
      var count_txt = jQuery(data).find('count').text();
      var count = -1;
      if (count_txt) {
        count = JSON.parse( jQuery(data).find('count').text() );
      }

      /* compiling the post output */
      var poststxt = '';

      if ( posts.length == 0 ) {
        tagGroupsPaged = 0;
        pager.down = false;
        pager.up = false;
        poststxt += '<div class="tg_dpf_nothing_found"><?php echo htmlentities( str_replace( "'", "/'", $message_nothing_found ) ) ?></div>';
      } else {
        posts.forEach(function(post){
          poststxt += '<article id="'+post.id+'" class="tg_dpf_article">';
          poststxt += post.content;
          poststxt += '</article>';
        });
      }
      <?php if ( $pager ): ?>
      poststxt += '<h4 class="tg_pager">';
      if ( pager.down == true ) {
        poststxt += '<span id="tg_pager_down" class="tg_dpf_back tg_pointer tg_left"><span class="dashicons dashicons-arrow-left-alt"></span>&nbsp;<?php echo htmlentities( str_replace( "'", "/'", $message_go_back ) ) ?></span> ';
      }
      if ( pager.up == true ) {
        poststxt += ' <span id="tg_pager_up" class="tg_dpf_more tg_pointer tg_right"><?php echo htmlentities( str_replace( "'", "/'", $message_load_more ) ) ?>&nbsp;<span class="dashicons dashicons-arrow-right-alt"></span></span> ';
      }
      poststxt += '</h4>';
      <?php endif; ?>

      <?php if ( $display_amount ) : ?>
      if ( count > -1 ) {
        var message_amount_sg = '<?php echo htmlentities( str_replace( "'", "/'", $message_amount_singular ) ) ?>';
        var message_amount_pl = '<?php echo htmlentities( str_replace( "'", "/'", $message_amount_plural ) ) ?>';
        if ( count == 1 ) {
          var count_message = message_amount_sg;
        } else {
          var count_message = message_amount_pl.replace( new RegExp( "\\{count\}", "gm" ), count );
        }
        amounttxt = '<div id="tg_filter_box_amount">' + count_message + '</div>';
        jQuery('#tg_filter_dpf_toggle_box_messages').html( amounttxt );
        jQuery('#tg_filter_dpf_toggle_box_messages').css('opacity',1);

      }
      <?php endif; ?>

      <?php if ( $transition == 'fade' ) : ?>
      jQuery('#tg_filter_dpf_toggle_box_posts').fadeTo(200,0,function(){jQuery(this).html(poststxt).promise().done(function(){jQuery(this).fadeTo(500,1)})});
      <?php else: ?>
      jQuery('#tg_filter_dpf_toggle_box_posts').removeClass('tg_opacity');
      jQuery('#tg_filter_dpf_toggle_box_posts').show().html(poststxt);
      <?php endif; ?>
      <?php if ( $persistent_filter ) : ?>
      // scroll to the group selectors, in order to avoid occasional random positions
      if ( tagGroupsLastArticle > 0) {
        <?php if ( $transition == 'fade' ) : ?>
        // need more time to finish fading
        var renderTimeout=700;
        <?php else: ?>
        // give some time to render
        var renderTimeout=200;
        <?php endif; ?>
        setTimeout(function(){
          if ( typeof jQuery("article#"+tagGroupsLastArticle+".tg_dpf_article").offset() !== 'undefined' ) {
            jQuery(document).scrollTop( jQuery("article#"+tagGroupsLastArticle+".tg_dpf_article").offset().top - 50 );
            // We need to reset the tagGroupsLastArticle
            tgSetCookie('taggroupsdpflastarticle',0,0);
            tagGroupsLastArticle = 0;
          }
        }, renderTimeout);
      } else {
        if ( typeof jQuery("#tg_filter_box_body").offset() !== 'undefined' ) {
          jQuery(document).scrollTop( jQuery("#tg_filter_box_body").offset().top - 50 );
        }
      }
      <?php endif; // $persistent_filter ?>
    },
    error: function(xhr, textStatus, errorThrown) {
      console.log('[Tag Groups Premium] error (tagGroupsRetrievePosts): ' + xhr.responseText);
    }
  } );
}



<?php if ( $persistent_filter ) : ?>
/**
* read the cookie that saves the filter state
*/
function tgCookieLoadFilter() {
  var filter = tgGetCookie('taggroupsdpfterms');
  tagGroupsLastArticle = tgGetCookie('taggroupsdpflastarticle');
  if (filter !== '') {
    var groupsTerms = JSON.parse(filter);
    for (var i in groupsTerms) {
      if (groupsTerms.hasOwnProperty(i) && groupsTerms[i]) {
        groupsTerms[i].t.forEach(function(termid){
          jQuery('[data-groupid="'+groupsTerms[i].g+'"][data-termid="'+termid+'"]').attr('checked','checked');
        });
      }
    }

    tagGroupsPaged = tgGetCookie('taggroupsdpfpaged');
    tagGroupsRetrievePosts();
  } else {
    if ( tagGroupsDefaultShowPosts ) {
      tagGroupsRetrievePosts();
    }
  }
}

function tgCookieSaveFilter() {
  var terms = [];
  tagGroupsGroupIds.forEach(function(termgroup){
    if (termgroup>0) {
      var group = {};
      group.g = termgroup;
      group.t = [];
      jQuery('[data-groupid='+termgroup+']:checked').each(function(){
        group.t.push(parseInt(jQuery(this).attr('data-termid')));
      });
      terms.push(group);
    }
  });
  var jsonTerms=JSON.stringify(terms);
  tgSetCookie('taggroupsdpfterms',jsonTerms,<?php echo intval( $persistent_filter ) ?>);
  tgSetCookie('taggroupsdpfpaged',tagGroupsPaged,<?php echo intval( $persistent_filter ) ?>);
}

/**
* https://www.w3schools.com/js/js_cookies.asp
*/
function tgSetCookie(cname, cvalue, exmins) {
  var d = new Date();
  d.setTime(d.getTime() + (exmins*60*1000));
  var expires = "expires="+ d.toUTCString();
  document.cookie = cname + "toggle" + "<?php echo sanitize_title( $div_id ) ?>" + "=" + cvalue + ";" + expires + ";path=/";
}

/**
* https://www.w3schools.com/js/js_cookies.asp
*/
function tgGetCookie(cname) {
  var name = cname + "toggle" + "<?php echo sanitize_title( $div_id ) ?>" + "=";
  var decodedCookie = decodeURIComponent(document.cookie);
  var ca = decodedCookie.split(';');
  for(var i = 0; i <ca.length; i++) {
    var c = ca[i];
    while (c.charAt(0) == ' ') {
      c = c.substring(1);
    }
    if (c.indexOf(name) == 0) {
      return c.substring(name.length, c.length);
    }
  }
  return "";
}
<?php endif; ?>

jQuery(document).ready(function(){
  <?php if ( $persistent_filter ) : ?>
  // restore the persistent filter from the cookie
  tgCookieLoadFilter();
  <?php else: ?>
  if ( tagGroupsDefaultShowPosts ) {
    tagGroupsRetrievePosts();
  }
  <?php endif; ?>

  // Prevent browsers to scroll where they like, if they execute JS
  if ('scrollRestoration' in history) {
    history.scrollRestoration = 'manual';
  }

  jQuery('#tg_filter_dpf_toggle_box_posts').html('<?php echo htmlentities( str_replace( "'", "/'", $posts_placeholder ) ) ?>');

  /* Reload the posts if the filter was changed */
  jQuery( '.tg_group_dpf_toggle_term' ).change( function(e) {
    <?php if ( $persistent_filter ) : ?>
    tgSetCookie('taggroupsdpfterms','',0);
    tgSetCookie('taggroupsdpfpaged',0,0);
    tgSetCookie('taggroupsdpflastarticle',0,0);
    <?php endif; ?>
    tagGroupsRetrievePosts();
  });

  <?php if ( $persistent_filter ) : ?>
  jQuery( 'article.tg_dpf_article a' ).live('click', function(e) {
    tagGroupsLastArticle = jQuery(this).closest('article').attr('id');
    tgSetCookie('taggroupsdpflastarticle',tagGroupsLastArticle,<?php echo intval( $persistent_filter ) ?>);
  })
  <?php endif; ?>

  /* clicked the pager up */
  jQuery('#tg_pager_up').live('click', function(){
    tagGroupsPaged++;
    tagGroupsRetrievePosts();
  });

  /* clicked the pager down */
  jQuery('#tg_pager_down').live('click', function(){
    tagGroupsPaged--;
    tagGroupsRetrievePosts();
  });
});

<?php if ( $accordion ) : ?>
jQuery(document).ready(function() {
  jQuery( ".tg_group_dpf_toggle_group_container" ).accordion({collapsible: true, heightStyle: "content", active: false, animate: 800});
  <?php if ( $persistent_filter ) : ?>
  tagGroupsGroupIds.forEach(function(groupId){
    if (groupId>0) {
      jQuery('[data-groupid='+groupId+']:checked').each(function(){
        jQuery('#tg_group_dpf_toggle_group_container_'+groupId).accordion('option','active',0);
      });
    }
  });
  <?php endif; ?>
});
<?php endif; ?>
</script>
